VkPipelineViewportStateCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineViewportStateCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineViewportStateCreateFlags | flags
uint32_t | viewportCount
const VkViewport * | pViewports
uint32_t | scissorCount
const VkRect2D * | pScissors

## Detailed Description

Definition at line 2004 of file vulkan.h.

## Field Documentation

## flags

VkPipelineViewportStateCreateFlags VkPipelineViewportStateCreateInfo::flags

Definition at line 2007 of file vulkan.h.

## pNext

const void* VkPipelineViewportStateCreateInfo::pNext

Definition at line 2006 of file vulkan.h.

## pScissors

const VkRect2D* VkPipelineViewportStateCreateInfo::pScissors

Definition at line 2011 of file vulkan.h.

## pViewports

const VkViewport* VkPipelineViewportStateCreateInfo::pViewports

Definition at line 2009 of file vulkan.h.

## scissorCount

uint32_t VkPipelineViewportStateCreateInfo::scissorCount

Definition at line 2010 of file vulkan.h.

## sType

VkStructureType VkPipelineViewportStateCreateInfo::sType

Definition at line 2005 of file vulkan.h.

## viewportCount

uint32_t VkPipelineViewportStateCreateInfo::viewportCount

Definition at line 2008 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h